import TextField, { TextFieldProps } from "@mui/material/TextField";
import React from "react";
import { INerdInputText } from "../typings";

export const NerdPassword = ({
  label = "",
  placeholder = "",
  id,
  variant = "standard",
  required = false,
  disabled,
  error,
  helperText,
  value,
  onChange,
}: INerdInputText & TextFieldProps) => {
  return (
    <TextField
      required={required}
      error={error}
      aria-haspopup="true"
      disabled={disabled}
      id={id}
      label={label}
      placeholder={placeholder}
      fullWidth
      helperText={required ? required : helperText}
      value={value}
      onChange={onChange}
      InputLabelProps={{
        shrink: true,
      }}
      variant={variant}
      type="password"
    />
  );
};

export default NerdPassword;
