import TablePagination from "@mui/material/TablePagination";
import React from "react";
import { useTheme } from "@mui/material/styles";
import useMediaQuery from "@mui/material/useMediaQuery";
import PageActions from "./components/PageActions";
import { INerdPaginator, nerdPaginationAuxContent } from "./typings";
import "./NerdPagination.scss";

const NerdPagination = ({
  page,
  rowsPerPage,
  rowPageOptions,
  selectPages,
  disabledNext,
  handleChangePage,
  handleChangeRowsPerPage,
}: INerdPaginator): JSX.Element => {
  const theme = useTheme();
  const matches = useMediaQuery(theme.breakpoints.down("sm"));

  return (
    <TablePagination
      component="div"
      count={-1}
      page={page}
      onPageChange={handleChangePage}
      rowsPerPage={rowsPerPage}
      rowsPerPageOptions={rowPageOptions}
      onRowsPerPageChange={handleChangeRowsPerPage}
      ActionsComponent={(props) => (
        <PageActions
          selectPages={selectPages}
          disabledNext={disabledNext}
          {...props}
        />
      )}
      labelDisplayedRows={() => {
        return "";
      }}
      labelRowsPerPage={nerdPaginationAuxContent.Rows}
      getItemAriaLabel={(type) => `Go to ${type} page`}
      backIconButtonProps={{
        "aria-label": "Previous Page",
      }}
      nextIconButtonProps={{
        "aria-label": "Next Page",
      }}
      className={`nerdUI--pagination ${matches ? "nerdUI--pagination-sm" : ""}`}
    />
  );
};

export default NerdPagination;
