import {
  FirstPage,
  KeyboardArrowLeft,
  KeyboardArrowRight,
} from "@mui/icons-material";
import { Box, Tooltip, IconButton } from "@mui/material";
import React, { PropsWithChildren } from "react";
import { CustomArrowProps } from "../typings";
const CustomArrow = ({
  onPageChange,
  page,
  disabledNext,
  children,
}: PropsWithChildren<CustomArrowProps>): JSX.Element => {
  const disablePrev = page === 1;
  return (
    <Box>
      <Tooltip title="First Page" placement="bottom" enterDelay={300}>
        <span>
          <IconButton
            onClick={(e) => onPageChange(e, 1)}
            disabled={disablePrev}
            aria-label="First Page"
          >
            <FirstPage />
          </IconButton>
        </span>
      </Tooltip>
      <Tooltip title="Prev Page" placement="bottom" enterDelay={300}>
        <span>
          <IconButton
            onClick={(e) => onPageChange(e, page - 1)}
            disabled={disablePrev}
            aria-label="Previous Page"
          >
            <KeyboardArrowLeft />
          </IconButton>
        </span>
      </Tooltip>
      {children}
      <Tooltip title="Next Page" placement="bottom" enterDelay={300}>
        <span>
          <IconButton
            onClick={(e) => {
              onPageChange(e, page + 1);
            }}
            aria-label="Next Page"
            disabled={disabledNext}
          >
            <KeyboardArrowRight />
          </IconButton>
        </span>
      </Tooltip>
    </Box>
  );
};

export default CustomArrow;
