import { createSlice, PayloadAction } from "@reduxjs/toolkit";
import { NerdNotifierProps } from "../../NerdNotifier";

export const notificationInitialState: NerdNotifierProps = {
  notification: {
    uuid: "",
  },
};

export const notificationSlice = createSlice({
  name: "notification",
  initialState: notificationInitialState,
  reducers: {
    showNotification: (_state, action: PayloadAction<NerdNotifierProps>) => {
      return {
        ...action.payload,
      };
    },
    clearNotification: () => {
      return notificationInitialState;
    },
  },
});

export const { showNotification, clearNotification } =
  notificationSlice.actions;

export const notificationReducer = notificationSlice.reducer;
