import React from "react";
import {
  createTheme,
  responsiveFontSizes,
  ThemeProvider,
} from "@mui/material/styles";

let theme = createTheme({
  typography: {},
});

theme = responsiveFontSizes(theme);

export const ConditionalWrapper = ({
  condition,
  wrapper,
  children,
}: IConditionalWrapper) => (
  <ThemeProvider theme={theme}>
    {condition ? wrapper(children) : children}
  </ThemeProvider>
);

export interface IConditionalWrapper {
  condition: boolean;
  wrapper: (children: JSX.Element) => JSX.Element;
  children: JSX.Element;
}
